## 更新配置
dotu() {
    # 使用 () 包裹命令会在子进程中运行，执行完后当前终端路径不会改变
    (
        cd "$HOME/.flinty" || exit
        if git pull; then
            echo "Git updated."
        fi
    )
    
    # 在主进程刷新配置
    source ~/.bash_profile
    echo "Config reloaded successfully!"
}

## 替换默认 ssh 工具，Git Bash 里的 ssh client 连不上 Bitwarden 的 SSH Agent
alias ssh='/c/Windows/System32/OpenSSH/ssh.exe'

## 列出所有链接
sls() {
    awk '/^Host / {name=$2} /HostName/ {print "\033[36m" name "\033[0m@" $2}' ~/.flinty/ssh/config | column -t -s '@'
}